Anonymous Login
2019-12-06 17:18 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001131v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
ReporterKorkonius 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001131: Using format string with time zone options causes crash in w2p_Utilities_Date
DescriptionI encountered this when working on bug 0001093

When attempting to use the %O and %T to get the timezone information sent in notification e-mails, w2p crashed with the error:
Fatal error: Call to a member function getOffset() on a non-object in [myphpdir]\Web2Project\lib\PEAR\Date.php on line 330

Since %O would allow us to get the timezone names directly from format strings on date objects. This would be very useful when trying to keep track of time across a distributed team...
Additional InformationIn my proposed e-mail patch i worked around this using the following to get the same info that %T should give from a format string:

$timezoneObj = new Date_TimeZone($prefObj['TIMEZONE']);
$tzString = $timezoneObj->getShortName();
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002554

Korkonius (reporter)

I cannot assign issues but i am working on a fix for timezones now and that should hopefullt fix this as well...

~0002555

Korkonius (reporter)

This issue has been resolved with these two commits:
https://github.com/Korkonius/web2project/commit/1c5832eacd041cdcd4417a8375660a21c90ce077
https://github.com/Korkonius/web2project/commit/76a778e7de19b91f45733c6d8f610bdb3d222af0

However, the commits are part of a larger effort to refactor the date object and create a consistent standard for timezones...

~0002618

caseydk (administrator)

Resolved here: https://github.com/caseysoftware/web2project/pull/123
+Notes

-Issue History
Date Modified Username Field Change
2012-04-22 22:24 Korkonius New Issue
2012-06-05 22:05 Korkonius Note Added: 0002554
2012-06-07 00:27 Korkonius Note Added: 0002555
2012-08-02 21:45 caseydk Note Added: 0002618
2012-08-02 21:45 caseydk Status new => resolved
2012-08-02 21:45 caseydk Resolution open => fixed
2012-08-02 21:45 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History